> ## Documentation Index
> Fetch the complete documentation index at: https://docs.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trades History

> Fetch historical Kalshi trade data

Fetch historical trade data from Kalshi markets. Requires at least one of `ticker` or `event_ticker`.

<Tip>**Free & Unlimited.** This endpoint does not count toward your monthly usage limits on any plan.</Tip>

| Constraint | Value               |
| ---------- | ------------------- |
| `limit`    | 1–500 (default 100) |


## OpenAPI

````yaml GET /v2/kalshi/trades
openapi: 3.1.0
info:
  title: Predexon API
  description: Prediction market data aggregation and matching API
  version: 2.0.0
servers:
  - url: https://api.predexon.com
security:
  - apiKey: []
paths:
  /v2/kalshi/trades:
    get:
      tags:
        - kalshi
      summary: Get Kalshi Trades
      description: |-
        Fetch historical Kalshi trade data.

        Returns trades from the Kalshi prediction market with support for:
        - Filtering by ticker (exact match) or event_ticker (prefix match)
        - Time range filtering
        - Taker side filtering (yes/no)
        - Minimum contract count filtering
        - Cursor-based pagination

        At least one of `ticker` or `event_ticker` must be provided.
      operationId: get_kalshi_trades_v2_kalshi_trades_get
      parameters:
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by market ticker
            title: Ticker
          description: Filter by market ticker
        - name: event_ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by event ticker (prefix match)
            title: Event Ticker
          description: Filter by event ticker (prefix match)
        - name: taker_side
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/KalshiTakerSide'
              - type: 'null'
            description: 'Filter by taker side: yes or no'
            title: Taker Side
          description: 'Filter by taker side: yes or no'
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Unix timestamp (seconds) for start
            title: Start Time
          description: Unix timestamp (seconds) for start
        - name: end_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Unix timestamp (seconds) for end
            title: End Time
          description: Unix timestamp (seconds) for end
        - name: min_count
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            description: Minimum contract count
            title: Min Count
          description: Minimum contract count
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Number of trades to return
            default: 100
            title: Limit
          description: Number of trades to return
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderDirection'
            description: 'Sort order: asc or desc'
            default: desc
          description: 'Sort order: asc or desc'
        - name: pagination_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination
            title: Pagination Key
          description: Cursor for pagination
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KalshiTradesResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    KalshiTakerSide:
      type: string
      enum:
        - 'yes'
        - 'no'
      title: KalshiTakerSide
      description: Kalshi taker side enum.
    OrderDirection:
      type: string
      enum:
        - asc
        - desc
      title: OrderDirection
      description: Sort order direction enum.
    KalshiTradesResponse:
      properties:
        trades:
          items:
            $ref: '#/components/schemas/KalshiTrade'
          type: array
          title: Trades
        pagination:
          $ref: '#/components/schemas/CursorPagination'
      type: object
      required:
        - trades
        - pagination
      title: KalshiTradesResponse
      description: Kalshi trades endpoint response.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
      type: object
      required:
        - error
        - message
      title: ErrorResponse
      description: Standard error response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KalshiTrade:
      properties:
        trade_id:
          type: string
          title: Trade Id
          description: Unique trade identifier
        ticker:
          type: string
          title: Ticker
          description: Market ticker
        count:
          type: integer
          title: Count
          description: Number of contracts traded
        yes_price:
          type: number
          title: Yes Price
          description: Yes price (0-1)
        no_price:
          type: number
          title: No Price
          description: No price (0-1)
        taker_side:
          $ref: '#/components/schemas/KalshiTakerSide'
          description: 'Taker side: yes or no'
        created_time:
          type: integer
          title: Created Time
          description: Unix timestamp in seconds
      type: object
      required:
        - trade_id
        - ticker
        - count
        - yes_price
        - no_price
        - taker_side
        - created_time
      title: KalshiTrade
      description: Kalshi trade model.
    CursorPagination:
      properties:
        limit:
          type: integer
          title: Limit
          description: Requested limit
        count:
          type: integer
          title: Count
          description: Number of items in current response
        pagination_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Pagination Key
          description: Base64-encoded cursor for next page
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more items available
      type: object
      required:
        - limit
        - count
        - has_more
      title: CursorPagination
      description: Cursor-based pagination for endpoints that don't support offset.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````